Bug 144784 - CAN-2005-0003 huge vma-in-executable bug
Summary: CAN-2005-0003 huge vma-in-executable bug
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-11 15:42 UTC by Mark J. Cox
Modified: 2013-03-06 05:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-18 23:52:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:043 normal SHIPPED_LIVE Important: kernel security update 2005-01-18 05:00:00 UTC

Description Mark J. Cox 2005-01-11 15:42:29 UTC
CAN-2004-1074 fixes a flaw allowing a malicious binary to crash a system.  It
was found that a similar flaw also affected 64-bit ELF support, therefore
affecting ia64, x86_64, and s390 support.  

Fixed upstream in 2.6;
http://linux.bkbits.net:8080/linux-2.6/cset@41a6721cce-LoPqkzKXudYby_3TUmg

impact=important,public=20051125

Comment 1 Ernie Petrides 2005-01-12 21:06:48 UTC
Josh, it's the pool maintainer's job to transition bugs to MODIFIED state.
Since the fix is not yet committed to CVS, I'm reverting this to ASSIGNED.


Comment 2 Ernie Petrides 2005-01-13 03:58:58 UTC
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.2.EL).


Comment 3 Ernie Petrides 2005-01-15 00:31:46 UTC
The fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.8.EL).


Comment 4 David Lawrence 2005-01-18 23:52:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-043.html



Note You need to log in before you can comment on or make changes to this bug.